/Users/bernard/b20/bsoft/include/json.h(3)

NAME
/Users/bernard/b20/bsoft/include/json.h

SYNOPSIS

#include <ostream>
#include <iostream>
#include <fstream>
#include <sstream>
#include <vector>
#include <map>
#include <type_traits>

  Classes
class JSvalue
class JSparser

  Enumerations
enum JStype { JSstring, JSbool, JSinteger, JSreal, JSobject, JSarray, JSnull }

  Functions
ostream & operator<< (ostream &output, JStype t)
ostream & operator<< (ostream &output, JSvalue &jsv)

Detailed Description

Author:
    Bernard Heymann

Date:
    20160409 - 20180328

Definition in file json.h.

Enumeration Type Documentation

  enum JStype

Enumerator

JSstring

JSbool

JSinteger

JSreal

JSobject

JSarray

JSnull

Definition at line 21 of file json.h.

Function Documentation

  ostream& operator<< (ostream & output, JStype t)

Definition at line 10 of file json.cpp.

  ostream& operator<< (ostream & output, JSvalue & jsv)

Definition at line 30 of file json.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.